{% extends 'base.html.twig' %}

{% block content %}

    <ol class="breadcrumb">
        <li><a href="{{ path('homepage') }}">{{ 'breadcrumbs.home' | trans }}</a></li>
        <li><a href="{{ path('site-view', {'site': site.id}) }}">{{ site_infos(site).name }} - {{ 'breadcrumbs.site.title' | trans }}</a></li>
        <li>{{ 'breadcrumbs.site.edit.user' | trans }}</li>
    </ol>

    <div class="add-site-user">

        {{ form_start(form, {'attr': {'class': 'form-horizontal'}}) }}
        {{ form_errors(form) }}

        <div class="form-group">
            {{ form_errors(form.username) }}
            {{ form_label(form.username) }}
            <div class="col-sm-10">
                {{ form_widget(form.username) }}
            </div>
        </div>

        <div class="form-group">
            {{ form_errors(form.password.first) }}
            {{ form_label(form.password.first) }}
            <div class="col-sm-10">
                {{ form_widget(form.password.first, {'attr': {'class': 'passwordToCheck first'}}) }}
                <small class="help-block">{{ 'site.new.info.different_password' | trans }}</small>
                <div class="alert alert-danger hidden" id="short">
                    {{ 'site.new.user.password_validation.short' | trans }}
                </div>
            </div>
        </div>

        <div class="form-group">
            {{ form_errors(form.password.second) }}
            {{ form_label(form.password.second) }}
            <div class="col-sm-10">
                {{ form_widget(form.password.second, {'attr': {'class': 'passwordToCheck second'}}) }}
                <div class="alert alert-danger hidden" id="different">
                    {{ 'site.new.user.password_validation.different' | trans }}
                </div>
            </div>
        </div>

        <div class="uk-flex-inline pull-right" uk-grid>
            <div><a href="{{ path('site-view', {'site': site.id}) }}" class="btn btn-default">{{ 'site.new.user.cancel' | trans }}</a></div>
            <div>{{ form_widget(form.submit) }}</div>
        </div>
        {{ form_end(form) }}
    </div>

{% endblock content %}
